require "spec_helper"

describe Desktop::CoAuthorRelationsController do
  describe "routing" do

    it "routes to #index" do
      get("/desktop/co_author_relations").should route_to("desktop/co_author_relations#index")
    end

    it "routes to #new" do
      get("/desktop/co_author_relations/new").should route_to("desktop/co_author_relations#new")
    end

    it "routes to #show" do
      get("/desktop/co_author_relations/1").should route_to("desktop/co_author_relations#show", :id => "1")
    end

    it "routes to #edit" do
      get("/desktop/co_author_relations/1/edit").should route_to("desktop/co_author_relations#edit", :id => "1")
    end

    it "routes to #create" do
      post("/desktop/co_author_relations").should route_to("desktop/co_author_relations#create")
    end

    it "routes to #update" do
      put("/desktop/co_author_relations/1").should route_to("desktop/co_author_relations#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/desktop/co_author_relations/1").should route_to("desktop/co_author_relations#destroy", :id => "1")
    end

  end
end
